This is a Laravel 5 package that provides company_listing management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `envision/company_listing`.

    "envision/company_listing": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Envision\CompanyListing\Providers\CompanyListingServiceProvider::class,

```

And also add it to alias

```php
'CompanyListing'  => Envision\CompanyListing\Facades\CompanyListing::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Envision\CompanyListing\Providers\CompanyListingServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Envision\CompanyListing\Providers\CompanyListingServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Envision\CompanyListing\Providers\CompanyListingServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Envision\CompanyListing\Providers\CompanyListingServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Envision\CompanyListing\Providers\CompanyListingServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Envision\CompanyListing\Providers\CompanyListingServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


